<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="tag" tagdir="/WEB-INF/tags" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="req" value="${pageContext.request}" />
<c:set var="url">${req.requestURL}</c:set>
<c:set var="base" value="${fn:substring(url, 0, fn:length(url) - fn:length(req.requestURI))}${req.contextPath}/" />

<!DOCTYPE html>
<html>

<head>
    <tag:head title="Abonnés" />
</head>

<body class="grey lighten-3">
    <!-- Header -->
    <tag:header active="abonnes" />

    <!-- Main -->
    <main class="container">
        <div class="row">
            <div class="col s12 center-align">
                <h3>Abonn&eacute;s</h3>
            </div>
        </div>
        <div class="row">
            <div id="abo" class="col s12 center-align"></div>
        </div>
        <div class="row">
            <div id="pagination-abo" class="col s12 center-align"></div>
        </div>
    </main>

    <!-- Footer -->
    <tag:footer />
    
    <!--  Loader  -->
    <tag:loader name="loader" />

    <!-- Script -->
    <tag:script />
    <script type="text/javascript">
        $(document).ready(() => {
        	const loader = M.Modal.getInstance($('#loader'));
        	const idPagination = 'usager';
        	const perPage = 5;
        	
        	loader.open();
        	$.ajax({
                type: "GET",
                url: "${base}api/usager/page/1/" + perPage + "/formatted/pagination",
                error: () => {
                	loader.close();
                	$("#abo").html('<h3 class="red-text">Impossible de charger les usager</h3>');
                },
                success: (result) => {
                	loader.close();
                	pagination(idPagination, 1, perPage, result.data.total, $('#abo'), $('#pagination-abo'), result.data.list, null, 'action');
                	$('.tooltipped').tooltip();
                },
            });

            // Detection changement page
            $('main').on('click', '.pagination-' + idPagination + '-prev', function () {
                console.log(idPagination, 'prev', $(this).attr('data-page'));
                loader.open();
                $.ajax({
                    type: "GET",
                    url: "${base}api/usager/page/" + $(this).attr('data-page') + "/" + perPage + "/formatted/pagination",
                    error: () => {
                    	loader.close();
                    	$("#abo").html('<h3 class="red-text">Impossible de charger les usager</h3>');
                    },
                    success: (result) => {
                    	loader.close();
                    	pagination(idPagination, $(this).attr('data-page'), perPage, result.data.total, $('#abo'), $('#pagination-abo'), result.data.list, null, 'action');
                    	$('.tooltipped').tooltip();
                    },
                });
            });
            $('main').on('click', '.pagination-' + idPagination + '-next', function () {
                console.log('abo', 'next', $(this).attr('data-page'));
                loader.open();
                $.ajax({
                    type: "GET",
                    url: "${base}api/usager/page/" + $(this).attr('data-page') + "/" + perPage + "/formatted/pagination",
                    error: () => {
                    	loader.close();
                    	$("#abo").html('<h3 class="red-text">Impossible de charger les usager</h3>');
                    },
                    success: (result) => {
                    	loader.close();
                    	pagination(idPagination, $(this).attr('data-page'), perPage, result.data.total, $('#abo'), $('#pagination-abo'), result.data.list, null, 'action');
                    	$('.tooltipped').tooltip();
                    },
                });
            });
            $('main').on('click', '.pagination-' + idPagination + '-number', function () {
                console.log('abo', 'num', $(this).attr('data-page'));
                loader.open();
                $.ajax({
                    type: "GET",
                    url: "${base}api/usager/page/" + $(this).attr('data-page') + "/" + perPage + "/formatted/pagination",
                    error: () => {
                    	loader.close();
                    	$("#abo").html('<h3 class="red-text">Impossible de charger les usager</h3>');
                    },
                    success: (result) => {
                    	loader.close();
                    	pagination(idPagination, $(this).attr('data-page'), perPage, result.data.total, $('#abo'), $('#pagination-abo'), result.data.list, null, 'action');
                    	$('.tooltipped').tooltip();
                    },
                });
            });
        });
    </script>
</body>

</html>