<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="utf-8"%>
<%@ taglib prefix="tag" tagdir="/WEB-INF/tags" %>

<!DOCTYPE html>
<html>

<head>
    <tag:head title="Accueil" />
</head>

<body class="grey lighten-3">
    <!-- Header -->
    <tag:header />

    <!-- Main -->
    <main class="container">
        <div class="row">
            <div class="col s12 center-align">
                <h3>Dashboard</h3>
            </div>
        </div>
        <div class="row">
            <div class="col m12 l6">
                <canvas id="espaceToday"></canvas>
            </div>
            <div class="col m12 l6">
                <canvas id="espaceMonth"></canvas>
            </div>
        </div>
        <div class="row mtop-2">
            <div class="col m12 l6">
                <canvas id="freqWeek"></canvas>
            </div>
            <div class="col m12 l6">
                <canvas id="freqHours"></canvas>
            </div>
        </div>
    </main>

    <!-- Footer -->
    <tag:footer />

    <!-- Script -->
    <tag:script />
    <script type="text/javascript" src="js/chart.min.js"></script>
    <script type="text/javascript" src="js/generate-chart.js"></script>
    <script type="text/javascript">
        $(document).ready(() => {
            generateBarChart(
                document.getElementById('espaceToday'),
                'Fréquentation des espaces aujourd\'hui',
                ["Accueil", "Realite Virtuelle", "Musee Numerique", "Cyber Base", "Shooting Photo", "Jeux Videos", "Espace Scenique"],
                [{
                    title: 'Actuel',
                    value: [60, 46, 30, 28, 22, 35, 9],
                    color: { r: 255, g: 99, b: 132 }
                },
                {
                    title: 'Moyenne 2019',
                    value: [88, 42, 21, 34, 19, 38, 11],
                    color: { r: 235, g: 192, b: 52 }
                }]
            );
            generateBarChart(
                document.getElementById('espaceMonth'),
                'Fréquentation des espaces ce mois-ci',
                ["Accueil", "Realite Virtuelle", "Musee Numerique", "Cyber Base", "Shooting Photo", "Jeux Videos", "Espace Scenique"],
                [{
                    title: 'Actuel',
                    value: [260, 146, 90, 128, 112, 235, 109],
                    color: { r: 255, g: 99, b: 132 }
                },
                {
                    title: 'Moyenne 2019',
                    value: [260, 142, 157, 132, 101, 191, 118],
                    color: { r: 235, g: 192, b: 52 }
                }]
            );
            generateBarChart(
                document.getElementById('freqWeek'),
                'Fréquentation par jours',
                ["Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
                [{
                    title: 'Actuel',
                    value: [60, 46, 30, 28, 22]
                },
                {
                    title: 'Moyenne 2019',
                    value: [88, 42, 21, 34, 19],
                    line: true
                }]
            );
            generateBarChart(
                document.getElementById('freqHours'),
                'Fréquentation par heures',
                ["09H00-11H00", "11H00-13H00", "13H00-15H00", "15H00-17H00", "17H00-19H00"],
                [{
                    title: 'Actuel',
                    value: [10, 8, 4, 20, 12],
                },
                {
                    title: 'Moyenne 2019',
                    value: [14, 6, 5, 18, 14],
                    line: true
                }]
            );
        });
    </script>
</body>

</html>